DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmQueryRetrieveIndexDatabaseHandleFactory Class Reference

Index database factory class. More...

Inheritance diagram for DcmQueryRetrieveIndexDatabaseHandleFactory:

## Public Member Functions
| DcmQueryRetrieveIndexDatabaseHandleFactory (const DcmQueryRetrieveConfig *config)
| constructor More...
virtual | ~DcmQueryRetrieveIndexDatabaseHandleFactory ()
| destructor
virtual DcmQueryRetrieveDatabaseHandle * | createDBHandle (const char *callingAETitle, const char *calledAETitle, OFCondition &result) const
| this method creates a new database handle instance on the heap and returns a pointer to it, along with a result that indicates if the instance was successfully initialized, i.e. More...
Public Member Functions inherited from DcmQueryRetrieveDatabaseHandleFactory
virtual | ~DcmQueryRetrieveDatabaseHandleFactory ()
| Virtual Destructor.

## Private Member Functions
| DcmQueryRetrieveIndexDatabaseHandleFactory (const DcmQueryRetrieveIndexDatabaseHandleFactory &other)
| private undefined copy constructor
DcmQueryRetrieveIndexDatabaseHandleFactory & | operator= (const DcmQueryRetrieveIndexDatabaseHandleFactory &other)
| private undefined assignment operator

## Private Attributes
const DcmQueryRetrieveConfig * | config_
| pointer to system configuration

## Detailed Description

Index database factory class.

Instances of this class are able to create database handles for a given called application entity title.

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveIndexDatabaseHandleFactory()

DcmQueryRetrieveIndexDatabaseHandleFactory::DcmQueryRetrieveIndexDatabaseHandleFactory | ( | const DcmQueryRetrieveConfig * | config | ) |

constructor

Parameters

  config | system configuration object, must not be NULL.

## Member Function Documentation

## ◆ createDBHandle()

virtual DcmQueryRetrieveDatabaseHandle* DcmQueryRetrieveIndexDatabaseHandleFactory::createDBHandle | ( | const char * | callingAETitle,
|  | const char * | calledAETitle,
|  | OFCondition & | result
| ) |  | const
| virtual

this method creates a new database handle instance on the heap and returns a pointer to it, along with a result that indicates if the instance was successfully initialized, i.e.

connected to the database

Parameters

  callingAETitle | calling aetitle
  calledAETitle | called aetitle
  result | result returned in this variable

Returns
  pointer to database object, must not be NULL if result is EC_Normal.

Implements DcmQueryRetrieveDatabaseHandleFactory.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdbi.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1